
TYPO3.Kickstart - Bug # 31494

Status: Resolved Priority: Should have
Author: Andreas Wolf Category:
Created: 2011-11-01 Assigned To: Andreas Wolf
Updated: 2011-11-02 Due date:
Affected Flow version: FLOW3 1.0.0
Subject: Generated create action in CRUD controller has wrong doc comment
Description

In the create action of a CRUD controller, the parameter is $newSomething, while the docblock says it's $something. This leads to
e.g. a warning in PHPstorm.

Associated revisions
Revision 79707703 - 2011-11-01 22:13 - Andreas Wolf

[BUGFIX] Wrong doc comment in generated CRUD controller

In the create action of a CRUD controller, the parameter is
$newSomething, while the docblock says it's $something. This leads to
e.g. a warning in some IDEs.

Change-Id: Ifd0d1e2b12e0b0bbc65430504d743666a46a5d20
Fixes: #31494
Releases: 1.0, 1.1

Revision 005f8fd4 - 2011-11-07 22:18 - Andreas Wolf

[BUGFIX] Wrong doc comment in generated CRUD controller

In the create action of a CRUD controller, the parameter is
$newSomething, while the docblock says it's $something. This leads to
e.g. a warning in some IDEs.

Change-Id: Ic339a8f880929e9dad406a647d76177f223e86c4
Fixes: #31494
Releases: 1.0, 1.1

History
#1 - 2011-11-01 21:38 - Mr. Hudson

Patch set 1 of change Ifd0d1e2b12e0b0bbc65430504d743666a46a5d20 has been pushed to the review server.
It is available at http://review.typo3.org/6424

#2 - 2011-11-01 22:14 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Andreas Wolf
- Target version set to 1.0.1
- Affected Flow version changed from Git master to FLOW3 1.0.0

#3 - 2011-11-01 22:14 - Mr. Hudson

Patch set 2 of change Ifd0d1e2b12e0b0bbc65430504d743666a46a5d20 has been pushed to the review server.
It is available at http://review.typo3.org/6424

#4 - 2011-11-02 09:36 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:79707703c963d02e2d49a307105dd52abc2dbd6e.
